/***************************************************************************
 *             __________               __   ___.
 *   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
 *   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
 *   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
 *   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
 *                     \/            \/     \/    \/            \/
 *
 *   Copyright (C) 2007 by Dominik Wenger
 *   $Id: ttsgui.h 20623 2009-04-05 12:46:41Z bluebrother $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 ****************************************************************************/

#ifndef TTSGUI_H
#define TTSGUI_H

#include <QtGui>

#include "ui_ttsexescfgfrm.h"
#include "ui_sapicfgfrm.h"
#include "ui_ttsfestivalcfgform.h"

class RbSettings;
class TTSSapi;
class TTSFestival;

class TTSSapiGui : public QDialog
{
    Q_OBJECT
    public:
        TTSSapiGui(TTSSapi* sapi,QDialog* parent = NULL);

        void showCfg();
        void setCfg(RbSettings* sett){settings = sett;}
        public slots:

            virtual void accept(void);
        virtual void reject(void);
        virtual void reset(void);
        void updateVoices(QString language);
        void useSapi4Changed(int);
    private:
        Ui::SapiCfgFrm ui;
        RbSettings* settings;
        TTSSapi* m_sapi;
};

class TTSExesGui : public QDialog
{
    Q_OBJECT
    public:
        TTSExesGui(QDialog* parent = NULL);

        void showCfg(QString m_name);
        void setCfg(RbSettings* sett){settings = sett;}

        public slots:
            virtual void accept(void);
        virtual void reject(void);
        virtual void reset(void);
        void browse(void);
    private:
        Ui::TTSExesCfgFrm ui;
        RbSettings* settings;
        QString m_name;
};

class TTSFestivalGui : public QDialog
{
    Q_OBJECT
    public:
        TTSFestivalGui(TTSFestival* festival, QDialog* parent = NULL);

        void showCfg();
        void setCfg(RbSettings* sett){settings = sett;}

        public slots:
            virtual void accept(void);
        virtual void reject(void);
        //virtual void reset(void);

        void onRefreshButton();
        void onShowDescription(int state);
        void onBrowseServer();
        void onBrowseClient();
    private:
        Ui::TTSFestivalCfgFrm ui;
        RbSettings* settings;
        TTSFestival* festival;

        void updateVoices();
        private slots:
            void updateDescription(QString value);
};

#endif

